package com.elab.mongodb.utils;

import com.alibaba.fastjson.JSON;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author liukaixiong
 * @date 2022/10/21 - 10:39
 */
public class LogUtils {
    private static final Logger logger = LoggerFactory.getLogger(LogUtils.class);

    public static String getJsonString(Object obj) {
        String stringValue = "";
        if (obj == null) {
            return "";
        } else if (obj instanceof String) {
            stringValue = (String)obj;
        } else {
            stringValue = JSON.toJSONString(obj);
        }
        try {
            int maxLength = 1000;
            // 优化日志输出
            if (stringValue.length() > maxLength) {
                return stringValue.substring(0, maxLength);
            }
            return stringValue;
        } catch (Exception e) {
            logger.warn("格式转换异常:{}", e.getMessage());
        }
        return "";
    }
}
